Name:           neovim-qt
Version:        0.2.10
Release:        1%{?dist}
Summary:        Neovim GUI written in Qt

License:        ISC
URL:            https://github.com/equalsraf/%{name}
Source0:        https://github.com/equalsraf/%{name}/archive/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gtest-devel
BuildRequires:  qt5-devel
BuildRequires:  neovim
BuildRequires:  msgpack-devel
Requires:       neovim

%description
GUI for Neovim, much like a GVim for the old Vim, but written in Qt5.

%prep
%autosetup

%build
mkdir build
pushd build
%cmake \
	-DUSE_SYSTEM_MSGPACK=ON \
	-DENABLE_TESTS=OFF \
	..
%make_build

%install
pushd build
%make_install
install -Dm 755 lib/libneovim-qt-gui.so ${RPM_BUILD_ROOT}/%{_libdir}/libneovim-qt-gui.so

%files
%{_bindir}/nvim-qt
%{_datadir}/nvim-qt
%{_datadir}/pixmaps/nvim-qt.png
%{_datadir}/applications/nvim-qt.desktop
%{_libdir}/libneovim-qt-gui.so
%license LICENSE
%doc README.md

%changelog
* Tue Sep 04 2018 Dennis M. Pöpperl - 0.2.10-1
- Update to 0.2.10

* Mon Aug 20 2018 Dennis M. Pöpperl <free-software@dm-poepperl.de> - 0.2.9-1
- Update to 0.2.9; simplify spec

* Mon May 22 2017 Martin Sehnoutka <msehnout@redhat.com> - 0.2.7-3
- Fix missing shared libraries

* Mon May 22 2017 Martin Sehnoutka <msehnout@redhat.com> - 0.2.7-2
- Use system msgpack (fixes compilation on f26)

* Tue May 02 2017 Martin Sehnoutka <msehnout@redhat.com> 0.2.7-1
- init 0.2.7 (msehnout@redhat.com)
